Subject: Re: [bitcoin-dev] Announcing Libforesta

From: Bastiaan van den Berg <[email-masked]>
Date: Tue, 1 Aug 2023 10:02:55 +0200

Am i correct in the following interpretations?

- the utreexo bridge peers are the only real bitcoin nodes
- you cant use -only- libfloresta to be a node , you cant mine with it, you
cant do normal tx with it
- you are targetting webbrowsers (???? , i'm really confused about the why
of this)

On Mon, Jul 31, 2023 at 9:11 PM Davidson Souza via bitcoin-dev <
[email-masked]> wrote:

> Hi, list. My name is Davidson, and I’m thrilled to share `libfloresta`
> with the Bitcoin devs mailing list!
>
> This is a derivate of a project I’ve been developing for a few months,
> called `Floresta` (Portuguese for forest). An Utreexo powered,
> Fully-Validating Bitcoin Full node with integrated watch-only wallet and
> Electrum Server, meant to be a compact, simple, and ready to use full node
> for end users.
>
> After some feedbacks and thoughts, I’ve decided to turn it into a series
> of reusable libs that can be used in other applications in a
> straightforward way. The main goal here is low-power devices, like SBC and
> smartphones, but can be used in any environment. To achieve that, I’m
> writing the main logic in Rust and will generate bindings to the original
> code and compiling to WASM, allowing it to run virtually anywhere.
>
> The project is in an early stage, but I’m using it on signet for a while
> now with no problems. Mainnet support is almost ready, but we need to solve
> some performance issues with bridge nodes and set some up, so you can have
> utreexo peers.
>
>
> The project is available on [my GitHub](
> https://github.com/Davidson-Souza/Floresta) and I wrote an initial
> [blogpost](https://blog.dlsouza.lol/2023/07/07/libfloresta.html)
> explaining how to use it (in Rust). I’ll write more as the project matures,
> and I get it running on other platforms. Any feedback is welcome!
>
> ## Consensus
>
>
> I know that alternative implementations is a spicy subject in Bitcoin
> land, but this project **does not** reimplement the Bitcoin Consensus
> machine from scratch. I’m using `libbitcoinconsenus` and plan to use the
> full `libbitcoinkernel` in the future. While this doesn’t guarantee
> consistency, it minimizes misimplementations leading to splits.
>
>
> I’m also making an extra effort into cross-test against Bitcoin Core to
> find any inconsistencies before it causes any trouble.
>
> ## Acknowledges
>
> A special thanks to [Vinteum](https://vinteum.org/) for supporting my
> work with utreexo and Floresta.
>
> Best regards,
> Davidson Souza.
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>